This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 477551 - RFE Add fontconfig file checking
RFE Add fontconfig file checking
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 16:53 EST by Nicolas Mailhot
Modified: 2008-12-22 09:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-22 08:54:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-21 16:53:56 EST
As suggested by Jens Petersen the package review tools such as rpm should be enhanced to check fontconfig files provided by packagers are well-formed.

This check could take two forms:
1. check that all the files in %_fontconfig_templatedir are well-formed-XML
2. check that they conform to the current fontconfig DTD (this test probably requires for the fontconfig packager to register it in the system XML catalogs but Behdad is working on a new release right now so that's a good time to ask)
Comment 1 Ville Skyttä 2008-12-22 08:54:35 EST
From rpmlint POV, I think a generic XML well-formedness/validation check would be a better approach than doing this just for fontconfig files.  I've filed an upstream RFE about this: http://rpmlint.zarb.org/cgi-bin/trac.cgi/ticket/168

In the meantime (and even if/when implemented in rpmlint), I suggest font packages could add a %check section and validate their XML files in it - it should be easy for them to do it using xmllint even if the needed DTD is not catalogued (obviously as long as it is available somewhere locally).
Comment 2 Nicolas Mailhot 2008-12-22 09:10:19 EST
Well, the problem with fontconfig is that its XML files do not use the xml extension, so you'll need to special-case their detection in any case.
Comment 3 Ville Skyttä 2008-12-22 09:43:25 EST
Maybe ask fontconfig developers if they'd be willing to change the extension (if they're XML, why not *.xml)?  Anyway, checking other stuff in rpmlint than just *.xml would certainly be doable.  Added some related comments to upstream RFE, please add further comments there.

Note You need to log in before you can comment on or make changes to this bug.